# Designated Proxy User

The module assists with user accounts created without an email address, by 
allowing another user account to be designated to manage the account on their
behalf. Although Drupal does allow accounts to be created without an email 
address, some parts of the core system and contrib modules may not work as 
expected without a valid email address attached to the account.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/dpxu).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/dpxu).

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

After installation, go to the Settings Form (Administration >> Configuration >> 
System >> Designated Proxy User Settings).

The module provides two new roles. Assign the User Manager role to trusted 
accounts that you would like to be able to manage other users. The Managed User 
role will be assigned automatically when a new account is created through the 
module, or you can assign it manually and set the User Manager UID to the 
account that is permitted to assist.

### Important

The User Manager role should **only** be given to trusted users as it allows 
access to edit the linked user account(s), including password details, and to 
read messages sent to the linked account. Passwords should **never** be shared
in plain text or via insecure channels.
