<?php

namespace Drupal\dpxu\Controller;

use Drupal\dpxu\ProxyUserTools;
use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Returns responses for Designated Proxy User routes.
 */
class ProxyUserController implements ContainerInjectionInterface {

  /**
   * Proxy User Tools service.
   *
   * @var \Drupal\dpxu\ProxyUserTools
   */
  private $userTools;

  /**
   * Constructs a ProxyUserController object.
   *
   * @param \Drupal\dpxu\ProxyUserTools $user_tools
   *   The user tools service.
   */
  public function __construct(ProxyUserTools $user_tools) {
    $this->userTools = $user_tools;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('dpxu.user_tools')
    );
  }

  /**
   * Get the managed user edit form.
   */
  public function editUser($manager, $user) {
    return $this->userTools->getManagedUserEditForm($manager, $user);
  }

}
