<?php

namespace Drupal\dpxu\Plugin\views\field;

use Drupal\views\Plugin\views\field\EntityLinkEdit;
use Drupal\views\ResultRow;
use Drupal\Core\Url;

/**
 * Field handler for link to edit the managed user account.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("dpxu_user_edit_link")
 */
class ProxyUserEditLink extends EntityLinkEdit {

  /**
   * {@inheritdoc}
   */
  protected function getUrlInfo(ResultRow $row) {
    $route = 'dpxu.user_edit';
    $entity = $this->getEntity($row);
    $current_user = $this->currentUser();
    if ($this->languageManager->isMultilingual()) {
      $entity = $this->getEntityTranslationByRelationship($entity, $row);
    }
    $url = Url::fromRoute($route, [
      'manager' => $current_user->id(),
      'user' => $entity->id(),
    ], ['absolute' => $this->options['absolute']]);
    return $url;
  }

  /**
   * {@inheritdoc}
   */
  protected function renderLink(ResultRow $row) {
    $this->options['alter']['query'] = $this->getDestinationArray();
    return parent::renderLink($row);
  }

}
